# DisplaySettings Class Reference

[Blender Index] [Blender Hierarchy]

The display settings are reflected in Blender's display buttons (F10) More...

`#include <displaysettings.h>`

Inherits: Blender

## Public Members

- DisplaySettings ()
- ~DisplaySettings ()
- PyObject* playAnim (int start = -1, int end = -1)
- PyObject* render ()
- PyObject* setDrawType (int mode)
- PyObject* startRadiosity ()
- PyObject* startFrame
- PyObject* endFrame
- PyObject* currentFrame
- PyObject* xResolution
- PyObject* yResolution
- PyObject* pixelAspectRatio

## Detailed Description

The display settings are reflected in Blender's display buttons (F10).

## PyObject* playAnim(int start = -1, int end = -1)

This plays back an animation like if you press ALT+SHIFT+AKEY in Blender. The arguments start and end are optional arguments. If specified the animation play back starts and ends at the specified frames. The default is to play back the entire animation.

## PyObject* render()

This renders a picture like if you press the RENDER button in Blender's display buttons (F10) or press F12 directly.

## PyObject* setDrawType(int mode)

In Blender you can set the draw type for objects individually (ZKEY, SHIFT+ZKEY, or ALT+ZKEY) or for the whole 3D window (DKEY). This function allows you to do the same within Python (mode 1 = bounding box, 2 = wireframe, 3 = solid, 4 = shaded solid, 5 = textured).

## PyObject* startRadiosity()

This is the same like if you go in Blender to the radiosity buttons and press 'Collect Meshes' and 'GO'.

## PyObject* startFrame

Start frame for animations

## PyObject* endFrame

End frame for animations

## PyObject* currentFrame

Current frame for animations

## PyObject* xResolution

The image width in pixels

## PyObject* yResolution

The image height in scanlines

## PyObject* pixelAspectRatio

Is the same as Blender's AspY / AspX (see display buttons [F10])

- Author: Jan Walter
- Documentation generated by jan@nvidea on Mon Mar 5 16:57:27 CET 2001

K doc